/*
    Spakes - a client/server Snakes-clone for up to 4 players
    Copyright (C) 2001, 2002, 2004  Markus Triska

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact me at triska@gmx.at
*/

#ifndef POINT_H
#define POINT_H
/* Point class */

#include <cstdlib>

struct Point
{

	Point operator+(const Point &p) {
		return Point(x + p.x, y + p.y);
	}

	Point operator-(const Point &p) {
		return Point(x - p.x, y - p.y);
	}

	int dist(const Point &p) {
		// manhattan distance
		return (std::abs(p.x - x) + std::abs(p.y - y));
	}

	bool operator==(const Point &p) const {
		return (p.x == x && p.y == y);
	}

	int x, y;
	Point() : x(0), y(0) { }
	Point(int px, int py) : x(px), y(py) { }
};


#endif
